Skip to main content

remove your PhoneNumber

DELETE/v2/user/{userId}/phone
API version
v2
Request method
DELETE
Operation ID
deprecated-user-service-phone-number-remove

Use /v2/users/{userId}/phone instead.

Request​

  • userIdstringrequired

    self or the id of a user.

Responses​

No response content specified.

Usage examples​

$ curl \
--fail \
--location \
-X DELETE \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/user/string/phone
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.user.deprecatedUserServicePhoneNumberRemove({
"userId": "string"
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\User\DeprecatedUserServicePhoneNumberRemove\DeprecatedUserServicePhoneNumberRemoveRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new DeprecatedUserServicePhoneNumberRemoveRequest(
userId: "string"
));
$response = $client->user()->deprecatedUserServicePhoneNumberRemove($request);

var_dump($response->getBody();

On this page